Package org.silverpeas.mobile.client.apps.documents.events.pages.navigation

## Class GedItemsLoadedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<GedNavigationPagesEventHandler>
    - - org.silverpeas.mobile.client.apps.documents.events.pages.navigation.AbstractGedNavigationPagesEvent
      - - org.silverpeas.mobile.client.apps.documents.events.pages.navigation.GedItemsLoadedEvent

-     public class GedItemsLoadedEvent
      extends AbstractGedNavigationPagesEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.documents.events.pages.navigation.AbstractGedNavigationPagesEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GedItemsLoadedEvent​(List<BaseDTO> topicsAndPublications, int sharing, boolean canImport)` |
    `GedItemsLoadedEvent​(List<BaseDTO> topicsAndPublications, int sharing, boolean canImport, boolean forceReload)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(GedNavigationPagesEventHandler handler)` |
    `int` | `getSharing()` |
    `List<BaseDTO>` | `getTopicsAndPublications()` |
    `boolean` | `isCanImport()` |
    `boolean` | `isForceReload()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.documents.events.pages.navigation.AbstractGedNavigationPagesEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GedItemsLoadedEvent

          public GedItemsLoadedEvent​(List<BaseDTO> topicsAndPublications,
                                     int sharing,
                                     boolean canImport)

    - #### GedItemsLoadedEvent

          public GedItemsLoadedEvent​(List<BaseDTO> topicsAndPublications,
                                     int sharing,
                                     boolean canImport,
                                     boolean forceReload)

  - ### Method Detail

    - #### dispatch

          protected void dispatch​(GedNavigationPagesEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<GedNavigationPagesEventHandler>`

    - #### getTopicsAndPublications

          public List<BaseDTO> getTopicsAndPublications()

    - #### getSharing

          public int getSharing()

    - #### isForceReload

          public boolean isForceReload()

    - #### isCanImport

          public boolean isCanImport()